Bug 125520 - Updates www/apache22 to accept databases/db47 for BDB option
Summary: Updates www/apache22 to accept databases/db47 for BDB option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Clement Laforet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-11 21:50 UTC by Kirk Strauser
Modified: 2008-09-02 08:39 UTC (History)
0 users

See Also:


Attachments
apache22.patch (5.92 KB, patch)
2008-07-11 21:50 UTC, Kirk Strauser
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kirk Strauser 2008-07-11 21:50:01 UTC
This patch updates the www/apache22 port to be able to use databases/db47 to
meet its BDB dependency.
Comment 1 Edwin Groothuis freebsd_committer 2008-07-11 21:50:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci 2008-07-12 05:16:20 UTC
Kirk Strauser wrote:
>> Synopsis:       Updates www/apache22 to accept databases/db47 for BDB option
CC me on communications on this PR.

I'll drop in it my tinderbox and review it.

-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 3 dfilter service freebsd_committer 2008-08-31 17:51:47 UTC
clement     2008-08-31 16:51:38 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22         Makefile pkg-plist 
    www/apache22/files   patch-srclib:apr-util:build:dbm.m4 
  Log:
  - Fix plist when NOPORTDOCS is defined [1]
  - Add WITH_SVN knob. It enables BDB for apache22 port and
    force dependency on dev/apr-svn when WITH_APR_FROM_PORTS is
    defined. (should help fixing [2]).
    Introduce APR_PORT.
  - Add support for db-4.7 [3]
  - Add mod_ldap OPTIONS fixup [4]
  - Sometimes, rc scripts aren't included in package
    Try to fix this. [5]
  
  PR:    ports/126053 [2], ports/125520 [3]
         ports/124651 [4], ports/126670 [5] (partially)
  
  Reported by: QA Tindy [1],
               Crazig Leres [2],
               Larry Rosenman [4]
               Kirk Strauser [3],
               Joseph S. Atkinson [5]
  
  Revision  Changes    Path
  1.221     +17 -4     ports/www/apache22/Makefile
  1.4       +132 -8    ports/www/apache22/files/patch-srclib:apr-util:build:dbm.m4
  1.88      +2 -1      ports/www/apache22/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Clement Laforet freebsd_committer 2008-09-02 08:38:56 UTC
State Changed
From-To: open->closed

patch committed thanks !